Subject: Re: [PATCH 0/8] git-repack --max-pack-size

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 1 May 2007 00:37:53 -0400

Junio C Hamano <[email-masked]> wrote:
> Heh, since last night, 'master' and 'next' points at exactly the
> same tree object, although their commit ancestry are vastly
> different for obvious reasons.
> 
> Which leaves 'master' right now at v1.5.2-rc1 while 'next' at
> v1.5.2-rc1-687-gcb3892c; we might want to do something about
> this apparent discrepancy.

Are you considering rewinding next to master?  I'm not sure how
else we could cancel out all of those merges and reverts of bad
ideas from next.

One option might be to teach git-describe to look for matching trees,
and see if git-describe could match the tree that v1.5.2-rc1 points
at with the tree that cb3892c points and, and just call the latter
the former...  But that sounds a little risky to me in some projects,
I'm not convinced that is always the right way to describe a history.

-- 
Shawn.